Subject: Re: [lojban] lojban application in wearable computing

From: Robin Lee Powell <[email-masked]>
Date: Wed, 13 Mar 2002 10:04:12 -0800

On Tue, Mar 12, 2002 at 08:38:07PM -0800, Ted Reed wrote:
> On Tuesday, March 12 2002 07:31 pm, Robin Lee Powell wrote:
> > On Tue, Mar 12, 2002 at 06:45:12PM -0800, Ted Reed wrote:
> > > On Tuesday, March 12 2002 03:37 pm, Invent Yourself wrote:
> > > > I tend to think that Lojban is useful here as a "native
> > > > language" for such devices, for internal use, testing &
> > > > debugging and concept proofs, since it's so much easier (in
> > > > theory) to work with Lojban than any other language. And once
> > > > the bugs are worked out, an English/Lojban translation layer is
> > > > created. At least that's what I intend for my inference engine.
> > > >
> > > > So far, in seeking a language for that project, I have one vote
> > > > for Lisp, one for Prolog, and one for Rosetta! Looks like I will
> > > > have to do due diligence to break the tie.
> > >
> > > I personally think that lisp/scheme like languages would bear the
> > > most in common with lojban. Perhaps some python-esque attributes
> > > as well.
> >
> > Uhhh, what?
> >
> > What resemblance do you see between lisp and lojban, exactly? At a
> > first glance, I see a much stronger resemblance to Prolog.
> >
> > -Robin
> 
> I have no experience with lisp or prolog. I'm told that scheme evolved
> from lisp, so I just tend to lump them together. Sorry. 

scheme and lisp can be lumped together for purposes of this discussion.

> Perhaps not lisp, but scheme tends to be organized around predicate
> syntax and brackets to define things that are more than one word.

Exactly. lojban doesn't use bracketing to define precedence, in
general. It has a series of sentences which are syntactically
unrelated.

-Robin

-- 
http://www.digitalkingdom.org/~rlpowell/ BTW, I'm male, honest.
le datni cu djica le nu zifre .iku'i .oi le so'e datni cu to'e te pilno
je xlali -- RLP http://www.lojban.org/